<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_STOCK_ASSET_TRANSFER';
$path_to_root = "..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");

include_once($path_to_root . "/purchasing/includes/ui/purchasing_ui.inc");
include_once($path_to_root . "/reporting/includes/reporting.inc");

include_once($path_to_root . "/purchasing/includes/db/grn_inquiry_db.inc");

if (!@$_GET['popup'])
{
	$js = "";
	if ($SysPrefs->use_popup_windows)
		$js .= get_js_open_window(900, 500);
	if (user_use_date_picker())
		$js .= get_js_date_picker();
	page(_($help_context = "GRN Inquiry"), isset($_GET['supplier_id']), false, "", $js);
}
if (isset($_GET['supplier_id'])){
	$_POST['supplier_id'] = $_GET['supplier_id'];
}
if (isset($_GET['FromDate'])){
	$_POST['TransAfterDate'] = $_GET['FromDate'];
}
if (isset($_GET['ToDate'])){
	$_POST['TransToDate'] = $_GET['ToDate'];
}
if (isset($_GET['sat'])){
	$_POST['sat'] = $_GET['sat'];
}

//------------------------------------------------------------------------------------------------

if (!@$_GET['popup'])
	start_form();

if (!isset($_POST['supplier_id']))
	$_POST['supplier_id'] = get_global_supplier();

start_table(TABLESTYLE_NOBORDER);
start_row();
    ref_cells(text_bold("GRN#"), 'grn_no', '',null, '', true);
    ref_cells(text_bold("PO#"), 'po_no', '',null, '', true);
    date_cells(_("From:"), 'TransAfterDate', '', null, -30);
    date_cells(_("To:"), 'TransToDate');
end_row();
end_table();

start_table(TABLESTYLE_NOBORDER);
start_row();
    project_list_cells("Project:", "project_id", null, '');
    supplier_list_cells(_("Select a supplier:"), 'supplier_id', null, true, false, false);

    submit_cells('RefreshInquiry', _("Search"),'',_('Refresh Inquiry'), 'default');
end_row();
end_table();

set_global_supplier($_POST['supplier_id']);

//------------------------------------------------------------------------------------------------


//------------------------------------------------------------------------------------------------
function po_number($row)
{
	return get_trans_view_str(ST_PURCHORDER, $row["order_no"]);
}

function trans_view($trans)
{
	return get_trans_view_str($trans["type"], $trans["trans_no"]);
}

function due_date($row)
{
	return ($row["type"]== ST_SUPPINVOICE) || ($row["type"]== ST_SUPPCREDIT) ? $row["due_date"] : '';
}

function gl_view($row)
{
	return get_gl_view_str($row["type"], $row["trans_no"]);
}

function credit_link($row)
{
	if (@$_GET['popup'])
		return '';
	return $row['type'] == ST_SUPPINVOICE && $row["TotalAmount"] - $row["Allocated"] > 0 ?
		pager_link(_("Credit This"),
			"/purchasing/supplier_credit.php?New=1&invoice_no=".
			$row['trans_no'], ICON_CREDIT)
			: '';
}

function fmt_debit($row)
{
	$value = $row["TotalAmount"];
	return $value>0 ? price_format($value) : '';

}

function fmt_credit($row)
{
	$value = -$row["TotalAmount"];
	return $value>0 ? price_format($value) : '';
}

function prt_link($row)
{
  	if ($row['type'] == ST_SUPPAYMENT || $row['type'] == ST_BANKPAYMENT || $row['type'] == ST_SUPPCREDIT) 
 		return print_document_link($row['trans_no']."-".$row['type'], _("Print Remittance"), true, ST_SUPPAYMENT, ICON_PRINT);
}

function check_overdue($row)
{
	return $row['OverDue'] == 1
		&& (abs($row["TotalAmount"]) - $row["Allocated"] != 0);
}

function asset_link($row)
{
	return pager_link(_("Issue to assets"), "/assets/stock_asset_transfer.php?GRN_No=".$row['trans_no'], ICON_DOC);
}

//------------------------------------------------------------------------------------------------

$sql = get_sql_for_grn_inquiry($_POST['TransAfterDate'], $_POST['TransToDate'], $_POST['supplier_id'],
                                $_POST['po_no'], $_POST['grn_no'], $_POST['project_id']);

$cols = array(
			
			_("GRN#") => array('fun'=>'trans_view', 'align'=>'center'), 
			_("Reference"), 
                        _("PO#") => array('fun'=>'po_number', 'align'=>'center'), 
			_("Supplier"),
			_("Project"), 
			_("Date") => array('name'=>'tran_date', 'type'=>'date'), 
//			_("Due Date") => array('type'=>'date', 'fun'=>'due_date'), 
//			_("Currency") => array('align'=>'center'),
//			_("Debit") => array('align'=>'right', 'fun'=>'fmt_debit'), 
//			_("Credit") => array('align'=>'right', 'insert'=>true,'fun'=>'fmt_credit'), 
			array('insert'=>true, 'fun'=>'asset_link') 
			);

if ($_POST['supplier_id'] != ALL_TEXT)
{
	$cols[_("Supplier")] = 'skip';
	$cols[_("Currency")] = 'skip';
}
//------------------------------------------------------------------------------------------------


/*show a table of the transactions returned by the sql */
$table =& new_db_pager('trans_tbl', $sql, $cols);
$table->set_marker('check_overdue', _("Marked items are overdue."));

$table->width = "70%";

display_db_pager($table);

if (!@$_GET['popup'])
{
	end_form();
	end_page(@$_GET['popup'], false, false);
}
?>
